#!/bin/sh

mkdir -p $PREFIX/etc/conda/deactivate.d
mkdir -p $PREFIX/etc/conda/activate.d
cat <<EOF > $PREFIX/etc/conda/deactivate.d/spectrum-mpi.sh
if [ ! -z "$POWERAI_SPECTRUM_MPI_OPAL_PREFIX_OLD" ]
then
    export OPAL_PREFIX=$POWERAI_SPECTRUM_MPI_OPAL_PREFIX_OLD
    unset POWERAI_SPECTRUM_MPI_OPAL_PREFIX_OLD
else
    unset OPAL_PREFIX
fi
if [ ! -z "$POWERAI_SPECTRUM_MPI_MPI_ROOT_OLD" ]
then
    export MPI_ROOT=$POWERAI_SPECTRUM_MPI_MPI_ROOT_OLD
    unset POWERAI_SPECTRUM_MPI_MPI_ROOT_OLD
else
    unset MPI_ROOT
fi
EOF
cat <<EOF > $PREFIX/etc/conda/activate.d/spectrum-mpi.sh
#!/bin/sh
if [ ! -z "$OPAL_PREFIX" ]
then
    export POWERAI_SPECTRUM_MPI_OPAL_PREFIX_OLD=$OPAL_PREFIX
fi
if [ ! -z "$MPI_ROOT" ]
then
    export POWERAI_SPECTRUM_MPI_MPI_ROOT_OLD=$MPI_ROOT
fi
export OPAL_PREFIX=$PREFIX
export MPI_ROOT=$PREFIX
EOF
